namespace Application.Features.Api.Attendance.GetList;

public sealed record Response(int Total, IReadOnlyList<AttendanceItem> List);

public sealed record AttendanceItem(
    int Rank,
    int MemberID,
    string MemberSID,
    string MemberName,
    string? MemberThumb,
    string? Greeting,
    int ConsecutiveDays,
    int ExpRewarded,
    int PointRewarded,
    DateTime CreatedAt
);
